export type CamundaComponentType = "textfield" | "textarea" | "number" | "datetime" | "checklist" | "checkbox" | "group" | "button";
export type CamundaComponentLayout = {
    row: string;
    columns?: number | null;
};
export type CamundaComponentValue = {
    label: string;
    value: string;
};
export type CamundaComponent = {
    label: string;
    type: CamundaComponentType;
    id: string;
    key: string;
    description?: string;
    defaultValue?: string | number;
    layout: CamundaComponentLayout;
    validate?: {
        validationType?: "email";
        required?: boolean;
        min?: number;
        max?: number;
    };
    readonly?: boolean;
    disabled?: boolean;
    values?: CamundaComponentValue[];
    decimalDigits?: number;
    increment?: string;
    components?: CamundaComponent[];
    disallowPassedDates?: boolean;
    use24h?: boolean;
    timeInterval?: number;
    timeLabel?: string;
    dateLabel?: string;
    action?: "reset" | "submit";
};
