"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseDateTimeDescriptor = void 0;
function parseDateTimeDescriptor(desc) {
    const { key: source, description: helperText, readonly: readOnly, disabled, disallowPassedDates, use24h, timeInterval, timeLabel, dateLabel, } = desc;
    // TODO validator not supported
    const validate = []; // validate && validate.required ? required() : undefined;
    return {
        source,
        label: `${dateLabel || ""} ${timeLabel || ""}`,
        helperText,
        // defaultValue, TODO - not found in camunda-frontend component
        readOnly: readOnly ?? false,
        disabled: disabled ?? false,
        validate,
        disablePast: disallowPassedDates,
        minutesStep: timeInterval,
        ampm: !use24h,
        ampmInClock: !use24h,
    };
}
exports.parseDateTimeDescriptor = parseDateTimeDescriptor;
//# sourceMappingURL=parseDateTimeDescriptor.js.map