import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { CamundaFormAnswers } from "./answers";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { CamundaComponentType } from "./descriptors/CamundaComponent";
import { BooleanInputProps, CheckboxGroupInputProps, NumberInputProps, TextInputProps } from "react-admin";
import { OffsetDateTimeInputProps } from "./descriptors/parseDateTimeDescriptor";
export type ComponentModel = {
    type: CamundaComponentType;
    props: BooleanInputProps | CheckboxGroupInputProps | TextInputProps | NumberInputProps | OffsetDateTimeInputProps;
};
export type ButtonModel = {
    action: "submit" | "reset";
    label: string;
};
export interface CamundaFormTemplateModel extends BaseTemplateModel {
    componentName: string;
    route: string;
    relDirShift: string;
    componentModelList: ComponentModel[];
    buttonModelList: ButtonModel[];
}
export declare const deriveCamundaFormTemplateModel: AmplicodeTemplateModelStage<AmplicodeComponentOptions, CamundaFormAnswers, CamundaFormTemplateModel>;
